4Suite™ API Documentation

# ► Module Ft.Server.Server.Drivers.Odbc

# Warning: This ODBC driver ships with win32all

Classes: OdbcDriver |  |  |  | Functions: Begin, BuildDbiKeywords, Destroy, Exists, Initialize, InitializeModule, Join, Split |  |  |  | Fields: BLOB_CHUNK_LENGTH, NAME, SYSTEM_MODEL_NAME, USER_MODEL_NAME

## Classes

class OdbcDriver
Store information via an ODBC connection to a database

### Methods

__init__(self, keywords)
commit(self)
Make it so!
createFile(self, path, type, content)
When creating a resource, store the content
deleteFile(self, path, type)
Delete an object
fetchFile(self, path, type)
getSystemModel(self)
getUserModel(self)
hasFile(self, path, type)
See if we have any meta information about this resource
rollback(self)
Undo it
updateFile(self, path, type, content)
Update only the content about this resource

## Functions

Begin(**properties)
Begin a new transaction. Every driver must support this interface. The properties keyword arguments are passed from the config file (or where ever) to the driver. The Begin file is responsible for doing what ever is needed to validate these arguements
BuildDbiKeywords(properties)
Destroy(properties, tryOnly=0)
Completly destroy the repo
Exists(properties)
See if this repo exists. The return value for this is three states: 1 Everything is present, 0 Some things are there, or -1 Nothing is there.
Initialize(properties)
Initialize a new copy of the repo. This is not the same as a 4ss_manager init. This is very raw. The adapter will take care of calling our other interfaces (createContainer, createUser, etc) with all of the information about the rest of the 'init' stuff to do
InitializeModule()
Post-import hook to initialize module's runtime variables that are not required at import time, but will be needed before the module-level functions are called.
Join(chunks)
Split(content)

## Fields

BLOB_CHUNK_LENGTH = 7900
NAME = 'Odbc'
SYSTEM_MODEL_NAME = 'system'
USER_MODEL_NAME = 'user'